Loading...
Searching...
No Matches
Magick::channelImage Class Reference

## Public Member Functions

| channelImage (const ChannelType channel_)
void | operator() (Image &image_) const

## Private Attributes

ChannelType | _channel

## Detailed Description

Definition at line 166 of file STL.h.

## Constructor & Destructor Documentation

## channelImage()

Magick::channelImage::channelImage | ( | const ChannelType | channel_ | ) |

Definition at line 137 of file STL.cpp.

: _channel( channel_ )
{
}

## Member Function Documentation

## operator()()

void Magick::channelImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 141 of file STL.cpp.

{
image_.channel( _channel );
}

## Field Documentation

## _channel

ChannelType Magick::channelImage::_channel

private

Definition at line 174 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp